OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
OpenMesh::IO::BaseWriter Class Referenceabstract

Base class for all writer modules. More...

`#include <OpenMesh/Core/IO/writer/BaseWriter.hh>`

Inheritance diagram for OpenMesh::IO::BaseWriter:
[legend]

## Public Types
typedef unsigned int | Option

## Public Member Functions
virtual | ~BaseWriter ()
| Destructor.
virtual std::string | get_description () const =0
| Return short description of the supported file format.
virtual std::string | get_extensions () const =0
| Return file format's extension.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can parse _filename (checks extension)
virtual bool | write (const std::string &_filename, BaseExporter &_be, Options _opt, std::streamsize _precision=6) const =0
| Write to a file. More...
virtual bool | write (std::ostream &_os, BaseExporter &_be, Options _opt, std::streamsize _precision=6) const =0
| Write to a std::ostream. More...
virtual size_t | binary_size (BaseExporter &, Options) const
| Returns expected size of file if binary format is supported else 0.

## Protected Member Functions
bool | check (BaseExporter &_be, Options _opt) const

## Detailed Description

Base class for all writer modules.

The module should register itself at the IOManager by calling the register_module function.

## Member Function Documentation

virtual bool OpenMesh::IO::BaseWriter::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| pure virtual

Write to a file.

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implemented in OpenMesh::IO::_OMWriter_, OpenMesh::IO::_OFFWriter_, OpenMesh::IO::_PLYWriter_, OpenMesh::IO::_STLWriter_, and OpenMesh::IO::_OBJWriter_.

virtual bool OpenMesh::IO::BaseWriter::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| pure virtual

Write to a std::ostream.

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implemented in OpenMesh::IO::_OFFWriter_, OpenMesh::IO::_OMWriter_, OpenMesh::IO::_PLYWriter_, OpenMesh::IO::_STLWriter_, and OpenMesh::IO::_OBJWriter_.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/writer/BaseWriter.hh
- OpenMesh/Core/IO/writer/BaseWriter.cc